Subject: [multipathtcp] comments on draft-ietf-mptcp-congestion-03

From: Yoshifumi Nishida <[email-masked]>
Date: Fri, 20 May 2011 00:12:52 -0700

Hello authors and folks,

Sorry for keep you waiting.
We have been running WGLC on draft-ietf-mptcp-congestion-03 for quite
enough time.
So, we think it's good time to proceed to submit this draft to IESG
unless someone
has really serious arguments.

Here's my comments on the draft to prepare a write-up for the draft.
Please check and update it if you agree with them.

-------------------------------------------------------------------------------------------------------------

Minor comments

In order to compute alpha, we'll need to use 3 variables: tot_cwnd,
cwnd_i and rtt_i.
However, I think how to compute these variables is a bit ambiguous in the draft.
Is it better to use smoothed value for rtt_i? Is it ok to use instantaneous
value for cwnd_i and tot_cwnd? Mixing smoothed values and instantaneous values
doesn't have any adverse effects?
Since I think this will affect the performance for this algorithm, it
would be good
if you can provide some insights here.

Editorial comments

Page 2:

  TCP New Reno congestion control [RFC5681]..

  -> RFC5681 is not actually the reference for NewReno.
     I think you had better refer 3782 or simply state TCP standard
congestion control here.

Page 7:

  We assume appropriate byte counting (ABC, [RFC3465]) ... If ABC is not used..

  -> This might sound that if an implementation doesn't support ABC
     it should use mss_i for bytes_ack.
     How about using something like "a similar approach to ABC" instead of ABC?

Page 7:

  Section 4

  -> It might be better to create section 4.1 for the first half of the section
     as a place for the considerations related to computing Alpha.

Page 8:

  We propose alpha be ...

  -> We propose alpha to be ...

Page 10:

  By only coupling increases our proposal ..

  -> Not only coupling increases in our proposal?

  6: Security Considerations

  -> I guess 'REF' will be RFC6181.

Page 11:

  8.  IANA Considerations

  -> This document does not require any action from IANA.

  9.  References

  -> I think you can put RFC0793 and RFC5681 in Normative References.

Typos:

  aggresiveness -> aggressiveness

  ocasion -> occasion

  accomodate -> accommodate

Thanks,
--
Yoshifumi Nishida
[email-masked]